POST /v1/embeddings, CometAPI aracılığıyla anlamsal arama, kümeleme ve retrieval iş akışları için seçilen bir modelle metin embeddings üretir.
from openai import OpenAI
client = OpenAI(
base_url="https://api.cometapi.com/v1",
api_key="<COMETAPI_KEY>",
)
response = client.embeddings.create(
model="text-embedding-3-small",
input="The food was delicious and the waiter was friendly.",
)
print(response.data[0].embedding[:5]) # First 5 dimensions
print(f"Dimensions: {len(response.data[0].embedding)}"){
"object": "list",
"data": [
{
"object": "embedding",
"index": 0,
"embedding": [
-0.0021,
-0.0491,
0.0209,
0.0314,
-0.0453
]
}
],
"model": "text-embedding-3-small",
"usage": {
"prompt_tokens": 2,
"total_tokens": 2
}
}| Model | Boyutlar | Maksimum Token | En Uygun Olduğu Alan |
|---|---|---|---|
text-embedding-3-large | 3,072 (ayarlanabilir) | 8,191 | En yüksek kaliteli embeddings |
text-embedding-3-small | 1,536 (ayarlanabilir) | 8,191 | Uygun maliyetli, hızlı |
text-embedding-ada-002 | 1,536 (sabit) | 8,191 | Eski sürüm uyumluluğu |
text-embedding-3-* modelleri dimensions parametresini destekler; bu sayede doğrulukta belirgin bir kayıp olmadan embedding vektörünü kısaltabilirsiniz. Bu, anlamsal bilginin büyük kısmını korurken depolama maliyetlerini %75’e kadar azaltabilir.input parametresine bir dizi string göndererek tek bir istekte birden fazla metni embed edebilirsiniz. Bu, her metin için ayrı ayrı istek yapmaktan çok daha verimlidir.Bearer token authentication. Use your CometAPI key.
The embedding model to use. See the Models page for current embedding model IDs.
"text-embedding-3-small"
The text to embed. Can be a single string, an array of strings, or an array of token arrays. Each input must not exceed the model's maximum token limit (8,191 tokens for text-embedding-3-* models).
The format of the returned embedding vectors. float returns an array of floating-point numbers. base64 returns a base64-encoded string representation, which can reduce response size for large batches.
float, base64 The number of dimensions for the output embedding vector. Only supported by text-embedding-3-* models. Reducing dimensions can lower storage costs while maintaining most of the embedding's utility.
x >= 1A unique identifier for your end-user, which can help monitor and detect abuse.
A list of embedding vectors for the input text(s).
The object type, always list.
list "list"
An array of embedding objects, one per input text. When multiple inputs are provided, results are returned in the same order as the input.
Show child attributes
The model used to generate the embeddings.
"text-embedding-3-small"
Token usage statistics for this request.
Show child attributes
from openai import OpenAI
client = OpenAI(
base_url="https://api.cometapi.com/v1",
api_key="<COMETAPI_KEY>",
)
response = client.embeddings.create(
model="text-embedding-3-small",
input="The food was delicious and the waiter was friendly.",
)
print(response.data[0].embedding[:5]) # First 5 dimensions
print(f"Dimensions: {len(response.data[0].embedding)}"){
"object": "list",
"data": [
{
"object": "embedding",
"index": 0,
"embedding": [
-0.0021,
-0.0491,
0.0209,
0.0314,
-0.0453
]
}
],
"model": "text-embedding-3-small",
"usage": {
"prompt_tokens": 2,
"total_tokens": 2
}
}